Package org.eclipse.mat.dtfj

# Class ThreadDetailsResolver

java.lang.Object
org.eclipse.mat.dtfj.ThreadDetailsResolver

All Implemented Interfaces:
  `IThreadDetailsResolver`

public class ThreadDetailsResolver extends Object implements IThreadDetailsResolver
Use DTFJ to extract extra information about a thread.

## Constructor Summary

Constructors
Constructor
Description
`ThreadDetailsResolver()`
Create a DTFJ thread details resolver.

## Method Summary

Modifier and Type
Method
Description
`void`
`complementDeep(IThreadInfo thread, IProgressListener listener)`
Add detailed DTFJ information, including native thread stack.
`void`
`complementShallow(IThreadInfo thread, IProgressListener listener)`
Add basic DTFJ information.
`Column[]`
`getColumns()`
The columns that can be extracted via DTFJ

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThreadDetailsResolver

public ThreadDetailsResolver()
Create a DTFJ thread details resolver. If DTFJ is not available, create a resolver that does nothing.

## Method Details

### getColumns

public Column[] getColumns()
The columns that can be extracted via DTFJ

Specified by:
  `getColumns` in interface `IThreadDetailsResolver`
Returns:
  an array of Columns

### complementShallow

public void complementShallow(IThreadInfo thread, IProgressListener listener) throws SnapshotException
Add basic DTFJ information.

Specified by:
  `complementShallow` in interface `IThreadDetailsResolver`
Parameters:
  `thread` - to extract the information from and to attach the information
  `listener` - to log progress and report errors
Throws:
  `SnapshotException` - problem retrieving or converting the data

### complementDeep

public void complementDeep(IThreadInfo thread, IProgressListener listener) throws SnapshotException
Add detailed DTFJ information, including native thread stack.

Specified by:
  `complementDeep` in interface `IThreadDetailsResolver`
Parameters:
  `thread` - to extract the information from and to attach the information
  `listener` - to log progress and report errors
Throws:
  `SnapshotException` - problem retrieving or converting the data